Bug 441141 - Review Request: antlr3 - ANother Tool for Language Recognition
Review Request: antlr3 - ANother Tool for Language Recognition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 14:54 EDT by Colin Walters
Modified: 2008-10-01 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 12:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2008-04-06 14:54:53 EDT
Spec URL: http://cdn.verbum.org/antlr3.spec
SRPM URL: http://cdn.verbum.org/antlr3-3.0.1-1.fc9.src.rpm

%description
ANother Tool for Language Recognition, is a language tool
that provides a framework for constructing recognizers,
interpreters, compilers, and translators from grammatical 
descriptions containing actions in a variety of target languages.

Note for review: This package is called antlr3 (and the jar installed thus)
because it's API/ABI incompatible with the RPM "antlr" (ANTLR v2).
Comment 1 Jason Tibbitts 2008-06-25 22:22:51 EDT
This failed to build due to a missing dependency on python; I added it and then
it failed to build in ant:

+ ant
Buildfile: build.xml
generator-prepare:
    [mkdir] Created dir: /builddir/build/BUILD/antlr-3.0.1/codegen
     [copy] Copying 6 files to /builddir/build/BUILD/antlr-3.0.1/codegen
generator:
BUILD FAILED
/builddir/build/BUILD/antlr-3.0.1/build.xml:102: The following error occurred
while executing this line:
/builddir/build/BUILD/antlr-3.0.1/build.xml:55: Problem: failed to create task
or type antlr
Cause: the class org.apache.tools.ant.taskdefs.optional.ANTLR was not found.
        This looks like one of Ant's optional components.
Action: Check that the appropriate optional JAR exists in
        -/usr/share/ant/lib
        -/builddir/.ant/lib
        -a directory added on the command line with the -lib argument
Do not panic, this is a common problem.
The commonest cause is a missing JAR.
This is not a bug; it is a configuration problem
Total time: 0 seconds

Unfortunately that's totally bewildering to me.
Comment 2 Colin Walters 2008-06-27 18:57:39 EDT
Thanks for the look; the problem was that we were missing a few build deps, in
particular the previous version of antlr.

http://cdn.verbum.org/antlr3.spec
http://cdn.verbum.org/antlr3-3.0.1-2.fc9.src.rpm
Comment 3 Jason Tibbitts 2008-06-27 19:38:24 EDT
Yes, that one builds.

It's a bit odd for >800 source files to turn into one jar and two bits of
documentation, but as I have no idea at all how to test this, I'll take your
word that everything that needs to be in there is in there.

No AOT compilation is done, which is OK since it's only a SHOULD in the guidelines.

Everything looks good to me.

* source files match upstream:
   99fe1b65071e91e5ac378cd7338742f1269a069147525639c654236d60c8fd77  
   antlr-3.0.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   antlr3 = 3.0.1-2.fc10
  =
   jpackage-utils

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* %docs are not necessary for the proper functioning of the package.
* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* ant called properly.
* gcj not called.

APPROVED
Comment 4 Colin Walters 2008-06-30 17:08:21 EDT
New Package CVS Request
=======================
Package Name: antlr3
Short Description: ANother Tool for Language Recognition
Owners: walters@redhat.com
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Colin Walters 2008-06-30 17:08:41 EDT
Thank you for the review!
Comment 6 Kevin Fenzi 2008-07-01 12:50:52 EDT
cvs done.
Comment 7 Jason Tibbitts 2008-08-09 11:09:13 EDT
This was built for rawhide but doesn't ever seem to have been built on the release branches.  Did you intend for this package to go into F8 and F9?

Note You need to log in before you can comment on or make changes to this bug.